Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.common
Class MatchSelectChildEvaluator

    java.lang.Object
      com.servingxml.components.common.MatchSelectChildEvaluator

All Implemented Interfaces:
  ChildEvaluator

    public class MatchSelectChildEvaluator

extends java.lang.Object
implements ChildEvaluator

Constructor Summary
`MatchSelectChildEvaluator(java.lang.String matchExpr, java.lang.String selectExpr)`

Method Summary
`void` | `addToXsltEvaluator(java.lang.String mode, XsltEvaluatorFactory recordTemplatesFactory)`
`java.lang.String` | `evaluateString(ServiceContext context, Flow flow, Record variables)`
`java.lang.String[]` | `evaluateStringArray(ServiceContext context, Flow flow, Record variables)`
`Value` | `evaluateValue(ServiceContext context, Flow flow, Record variables)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchSelectChildEvaluator

    public MatchSelectChildEvaluator(java.lang.String matchExpr,
                                     java.lang.String selectExpr)

Method Detail

### evaluateString

    public java.lang.String evaluateString(ServiceContext context,
                                           Flow flow,
                                           Record variables)

  Specified by:
    `evaluateString` in interface `ChildEvaluator`

### evaluateStringArray

    public java.lang.String[] evaluateStringArray(ServiceContext context,
                                                  Flow flow,
                                                  Record variables)

  Specified by:
    `evaluateStringArray` in interface `ChildEvaluator`

### evaluateValue

    public Value evaluateValue(ServiceContext context,
                               Flow flow,
                               Record variables)

  Specified by:
    `evaluateValue` in interface `ChildEvaluator`

### addToXsltEvaluator

    public void addToXsltEvaluator(java.lang.String mode,
                                   XsltEvaluatorFactory recordTemplatesFactory)

  Specified by:
    `addToXsltEvaluator` in interface `ChildEvaluator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD